Skip to main content
GET
/
security
/
sifter
/
v3
/
templates
/
{protection_template_id}
Get protection template
curl --request GET \
  --url https://api.gcore.com/security/sifter/v3/templates/{protection_template_id} \
  --header 'Authorization: <api-key>'
{
  "allow_merge": false,
  "client_id": 42,
  "description": "Template for configuring DDoS protection policies",
  "fields": [
    {
      "description": "Maximum number of requests per second before triggering protection",
      "field_type": "RULES",
      "id": 1,
      "name": "Rate Limit Threshold",
      "name_in_config": "rate_limit_threshold",
      "validation_schema": {
        "maximum": 100000,
        "minimum": 1,
        "type": "integer"
      }
    }
  ],
  "id": 7,
  "name": "DDoS Protection Template",
  "template": {
    "properties": {
      "threshold": {
        "minimum": 1,
        "type": "integer"
      },
      "action": {
        "enum": [
          "block",
          "challenge",
          "log"
        ],
        "type": "string"
      }
    },
    "type": "object"
  }
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

protection_template_id
integer
required

A positive integer ID

Required range: 1 <= x <= 1000000000

Response

Successful Response

name
string
required

Name of the template

Required string length: 1 - 100
description
string
required

Description of the template

template
any
required

JSON schema for the template

allow_merge
boolean
required

Allow merging of this config with others

client_id
integer | null
required

ID of the client this template belongs to

id
integer
required

Unique identifier for the template

fields
ProtectionTemplateFieldResponse · object[]
required

List of fields in the template